## flite 1.4-release

=== debian/changelog ===
flite (1.4-release-8) unstable; urgency=low

  [ Paul Gevers ]
  * Team upload.
  * Add CVE-2014-0027_unsafe_temporary_file.patch (Closes: #734746)
    - CVE-2014-0027

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Fri, 10 Jan 2014 11:57:50 +0100

flite (1.4-release-7) unstable; urgency=low

  * control: make flite1-dev Multi-Arch: same.
  * Bump Standards-Version to 3.9.4 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sat, 13 Jul 2013 19:22:15 +0200

flite (1.4-release-6) unstable; urgency=low

  [ Cyril Brulebois ]
  * Team upload.

  [ Ansgar Burchard ]
  * debian/rules: Use xz compression for binary packages (Closes: #683906).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 05 Aug 2012 12:35:17 +0200

flite (1.4-release-5) unstable; urgency=low

  * control:
    - Bump Standards-Version to 3.9.3 (no changes).
    - Set libflite1 multi-arch: same.
  * libflite1.install: Remove.
  * flite1-dev.install: Remove .so and .a rules.
  * rules:
    - Install libflite1 .so files to multiarch path.
    - Install flite1-dev .so symlinks and .a files to multiarch path.
    - Add build-arch and build-indep rules.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Jun 2012 22:53:31 +0200

flite (1.4-release-4) unstable; urgency=low

  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.
  * debian/patches/series: Disable exactly.diff for now, until Bug#645594 is
    clarified.
  * debian/control:
    - Make flite depend on the same version of libflite1, as the relation is
    actually tight (Closes: Bug#648206).
    - Build-depend on ghostscript, not gs-common (Closes: Bug#649713).
  * debian/rules: remove main/flite_voice_list.c on clean.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 24 Nov 2011 09:56:44 +0100

flite (1.4-release-3) unstable; urgency=low

  * debian/control:
    - Bump Standards-Version to 3.9.2 (no change needed).
    - Change flite1-dev short description to not only mention the static
      library.
    - Replace [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] with [linux-any]
    (Closes: Bug#634470).
    - Document that only English is supported.
    - Drop article in synopsis.
  * debian/patches/exactly.patch: Fix min%5 == 4 case (Closes: Bug#645594)
  * debian/rules: Run autoconf from clean, and remove the generated configure
    script. Don't make config.status depend on configure.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 06 Nov 2011 22:55:02 +0100

flite (1.4-release-2) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/watch: fix url.
  * debian/patches/shlib_deps.patch: New patch to fix shared library
    dependencies (Closes: #577335).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Apr 2010 14:31:32 +0200

flite (1.4-release-1) unstable; urgency=low

  [ Denis Briand ]
  * New upstream version
    + (Closes: #574369)
    + (Closes: #554412)
  * Add misc-Depends on binaries packages.
  * Bump standards version to 3.8.4.
  * flite1-dev depends now of exactly same version of libflite1.
  * switch to the new source package formats "3.0 (quilt)"
  * Add ed build-dependency, fix FTBFS (Closes: #562293).
  * Remove me from the uploaders list.

  [ Cyril Brulebois ]
  * Fix Vcs-Git field.

  [ Samuel Thibault ]
  * Lower recommandation of alsa-base from Recommends to Suggests
    (Closes: #573273).
  * Add myself as uploader.
  * Add debian/patches/no_rpath.patch to drop dummy rpath.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Apr 2010 19:53:07 +0200

flite (1.3-release-2) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fix FTBFS on kFreeBSD and AVR32 (Closes: #538885).
  * Add support for non linux architectures.

 -- Denis Briand <denis@narcan.fr>  Wed, 29 Jul 2009 15:34:33 +0200

flite (1.3-release-1) unstable; urgency=low

  [ Denis Briand ]
  * New upstream release (Closes: #350484).
  * New-maintainer (Closes: #428168).
  * Put Debian Accessibility Team as maintainer.
  * Add Lukas Loehrer and Denis Briand as uploaders.
  * Bump compat to 7 and add debian/compat file.
  * Bump standards version to 3.8.2.0
  * Add debian/watch file.
  * Add quilt patch system.
  * Add patches:
    + 01_flite-1.3-sharedlibs.patch thanks to Samuel Thibault.
      - fix FTBFS with new upstream version.
    + 02_complete_docs.patch
      - Use old Makefile commands to have html docs.
    + 03_texi_escape_char.patch
      - fix FTBFS when building docs.
    + 04_add_info_section.patch
      - fix info-document-missing-dir-section lintian warning.
    + 06_add_info_document_dir_entry.patch
      - add direntry into flite.texi file to fix lintian warning.
  * Change deprecated dh_clean -k into dh_prep in debian/rules file.
  * Compile with alsa support by default (debian/rules).
  * Apply patches before "configure" is called (debian/rules).
  * Improve packages description in debian/control.
  * Add upstream homepage in debian/control.
  * Remove several trailing whitespaces in debian/ files
  * Rewrite completely the debian/copyright file by browse all sources files.
  * Add autotools-dev and quilt build depends and change tetex-bin into texlive.
  * Improve debian/rules file.
  * Add alsa-base package in recommends.
  * Add VCS-git and VCS-browser fields in debian/control.

  [ Lukas Loehrer ]
  * Add alsa support with 05_alsa_audio_playback_support patch.
    (Closes: #443554, #149012, #331172, #484051).
  * Add libasound-dev to build-dependencies in debian/control.

  [ Mario Lang ]
  * Add myself to Uploaders.

 -- Denis Briand <denis@narcan.fr>  Sun, 26 Jul 2009 19:42:43 +0200

flite (1.2-release-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build shared libraries on GNU/kFreeBSD (Closes: #493463).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Aug 2008 21:14:53 +0200

flite (1.2-release-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478377)
  * debian/control:

