=== debian/control ===
Source: flite
Section: sound
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Lukas Loehrer <loehrerl@gmx.net>, Mario Lang <mlang@debian.org>, Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 7), texinfo, ghostscript, texi2html, texlive, autotools-dev, autoconf, libasound2-dev [linux-any], ed, hardening-wrapper
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.5
Homepage: http://www.speech.cs.cmu.edu/flite
VCS-git: git://git.debian.org/git/pkg-a11y/flite.git
VCS-browser: http://git.debian.org/?p=pkg-a11y/flite.git;a=summary

Package: flite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libflite1 (= ${binary:Version})
Suggests: alsa-base [linux-any]
Description: Small run-time speech synthesis engine
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English language.
 .
 This package contains the executables and documentation.

Package: libflite1
Section: libs
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Suggests: alsa-base [linux-any]
Description: Small run-time speech synthesis engine - shared libraries
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English language.
 .
 This package contains the shared library objects of Festival Lite

Package: flite1-dev
Provides: flite-dev
Conflicts: flite-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: libflite1 (= ${binary:Version}), libc6-dev, ${misc:Depends}
Description: Small run-time speech synthesis engine - development files
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English language.
 .
 This extra package provides the flite static libraries
 and header files.
